Package com.tick42.glue

# Interface Glue

All Superinterfaces:
  `AsynchronousCloseable`, `AutoCloseable`, `GlueApplication`, `GlueEvent.Monitor`

All Known Implementing Classes:
  `Tick42Glue`

    public interface Glue
    extends GlueApplication

The main entry point of Glue library.

To create a Glue instance use `builder()` method.

See Also:
  `builder()`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Interface | Description
  --- | --- | ---
  `static interface` | `Glue.Builder` | Helper to build a `Glue` instance.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ApplicationManager` | `appManager()` | Entry point for `ApplicationManager` API.
  `static Glue.Builder` | `builder()` | Creates a builder for Glue instances.
  `Channels` | `channels()` | Entry point for `Channels` API.
  `String` | `env()` | Returns the Glue environment.
  `Spreadsheets` | `excel()` |
  `Intents` | `intents()` | Entry point for `Intents` API.
  `Layouts` | `layouts()` | Entry point for `Layouts` API.
  `Notifications` | `notifications()` | Entry point for `Notifications` API.
  `Mail` | `outlook()` |
  `String` | `region()` | Returns the Glue region.
  `String` | `version()` | Returns the version of the Glue library.
  `WindowManager` | `windows()` | Entry point for `Window Management` API.

  ### Methods inherited from interface com.tick42.glue.core.AsynchronousCloseable

  `close, closeAsync, onClose`

  ### Methods inherited from interface com.tick42.glue.core.GlueApplication

  `contexts, interop`

  ### Methods inherited from interface com.tick42.glue.core.GlueEvent.Monitor

  `on`

- ## Method Details

  - ### version

    String version()
    Returns the version of the Glue library.
    Returns:
      version of the Glue library, never `null`

  - ### env

    String env()
    Returns the Glue environment.
    Returns:
      environment, never `null`
    Since:
      1.3.4

  - ### region

    String region()
    Returns the Glue region.
    Returns:
      region, never `null`
    Since:
      1.3.4

  - ### windows

    WindowManager windows()
    Entry point for `Window Management` API.
    Returns:
      window manager for this Glue application

  - ### outlook

    Mail outlook()

  - ### excel

    Spreadsheets excel()

  - ### channels

    Channels channels()
    Entry point for `Channels` API.
    Returns:
      channels for this Glue application

  - ### notifications

    Notifications notifications()
    Entry point for `Notifications` API.
    Returns:
      notifications for this Glue application

  - ### appManager

    ApplicationManager appManager()
    Entry point for `ApplicationManager` API.
    Returns:
      app manager for this Glue application

  - ### layouts

    Layouts layouts()
    Entry point for `Layouts` API.
    Returns:
      layouts manager for this Glue application

  - ### intents

    Intents intents()
    Entry point for `Intents` API.
    Returns:
      intents for this Glue application

  - ### builder

    static Glue.Builder builder()
    Creates a builder for Glue instances.
    Returns:
      builder to create a new instance, never `null`